Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PortletDescription

    java.lang.Object
      org.jboss.portal.wsrp.core.PortletDescription

All Implemented Interfaces:
  java.io.Serializable

    public class PortletDescription

extends java.lang.Object
implements java.io.Serializable

[R] Handle portletHandle [R] MarkupType markupTypes[] [O] ID groupID [O] LocalizedString description [O] LocalizedString shortTitle [O] LocalizedString title [O] LocalizedString displayName [O] LocalizedString keywords[] [O] string userCategories[] [O] string userProfileItems[] [O] boolean usesMethodGet [O] boolean defaultMarkupSecure [O] boolean onlySecure [O] boolean userContextStoredInSession [O] boolean templatesStoredInSession [O] boolean hasUserSpecificState [O] boolean doesUrlTemplateProcessing [O] Extension extensions

See Also:
  Serialized Form

Field Summary
`protected java.lang.Boolean` | `defaultMarkupSecure`
`protected LocalizedString` | `description`
`protected LocalizedString` | `displayName`
`protected java.lang.Boolean` | `doesUrlTemplateProcessing`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `groupID`
`protected java.lang.Boolean` | `hasUserSpecificState`
`protected LocalizedString[]` | `keywords`
`protected MarkupType[]` | `markupTypes`
`protected java.lang.Boolean` | `onlySecure`
`protected java.lang.String` | `portletHandle`
`protected LocalizedString` | `shortTitle`
`protected java.lang.Boolean` | `templatesStoredInSession`
`protected LocalizedString` | `title`
`protected java.lang.String[]` | `userCategories`
`protected java.lang.Boolean` | `userContextStoredInSession`
`protected java.lang.String[]` | `userProfileItems`
`protected java.lang.Boolean` | `usesMethodGet`

Constructor Summary
`PortletDescription()`
`PortletDescription(java.lang.String portletHandle, MarkupType[] markupTypes, java.lang.String groupID, LocalizedString description, LocalizedString shortTitle, LocalizedString title, LocalizedString displayName, LocalizedString[] keywords, java.lang.String[] userCategories, java.lang.String[] userProfileItems, java.lang.Boolean usesMethodGet, java.lang.Boolean defaultMarkupSecure, java.lang.Boolean onlySecure, java.lang.Boolean userContextStoredInSession, java.lang.Boolean templatesStoredInSession, java.lang.Boolean hasUserSpecificState, java.lang.Boolean doesUrlTemplateProcessing, Extension[] extensions)`

Method Summary
`java.lang.Boolean` | `getDefaultMarkupSecure()`
`LocalizedString` | `getDescription()`
`LocalizedString` | `getDisplayName()`
`java.lang.Boolean` | `getDoesUrlTemplateProcessing()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getGroupID()`
`java.lang.Boolean` | `getHasUserSpecificState()`
`LocalizedString[]` | `getKeywords()`
`MarkupType[]` | `getMarkupTypes()`
`java.lang.Boolean` | `getOnlySecure()`
`java.lang.String` | `getPortletHandle()`
`LocalizedString` | `getShortTitle()`
`java.lang.Boolean` | `getTemplatesStoredInSession()`
`LocalizedString` | `getTitle()`
`java.lang.String[]` | `getUserCategories()`
`java.lang.Boolean` | `getUserContextStoredInSession()`
`java.lang.String[]` | `getUserProfileItems()`
`java.lang.Boolean` | `getUsesMethodGet()`
`void` | `setDefaultMarkupSecure(java.lang.Boolean defaultMarkupSecure)`
`void` | `setDescription(LocalizedString description)`
`void` | `setDisplayName(LocalizedString displayName)`
`void` | `setDoesUrlTemplateProcessing(java.lang.Boolean doesUrlTemplateProcessing)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setGroupID(java.lang.String groupID)`
`void` | `setHasUserSpecificState(java.lang.Boolean hasUserSpecificState)`
`void` | `setKeywords(LocalizedString[] keywords)`
`void` | `setMarkupTypes(MarkupType[] markupTypes)`
`void` | `setOnlySecure(java.lang.Boolean onlySecure)`
`void` | `setPortletHandle(java.lang.String portletHandle)`
`void` | `setShortTitle(LocalizedString shortTitle)`
`void` | `setTemplatesStoredInSession(java.lang.Boolean templatesStoredInSession)`
`void` | `setTitle(LocalizedString title)`
`void` | `setUserCategories(java.lang.String[] userCategories)`
`void` | `setUserContextStoredInSession(java.lang.Boolean userContextStoredInSession)`
`void` | `setUserProfileItems(java.lang.String[] userProfileItems)`
`void` | `setUsesMethodGet(java.lang.Boolean usesMethodGet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletHandle

    protected java.lang.String portletHandle

### markupTypes

    protected MarkupType[] markupTypes

### groupID

    protected java.lang.String groupID

### description

    protected LocalizedString description

### shortTitle

    protected LocalizedString shortTitle

### title

    protected LocalizedString title

### displayName

    protected LocalizedString displayName

### keywords

    protected LocalizedString[] keywords

### userCategories

    protected java.lang.String[] userCategories

### userProfileItems

    protected java.lang.String[] userProfileItems

### usesMethodGet

    protected java.lang.Boolean usesMethodGet

### defaultMarkupSecure

    protected java.lang.Boolean defaultMarkupSecure

### onlySecure

    protected java.lang.Boolean onlySecure

### userContextStoredInSession

    protected java.lang.Boolean userContextStoredInSession

### templatesStoredInSession

    protected java.lang.Boolean templatesStoredInSession

### hasUserSpecificState

    protected java.lang.Boolean hasUserSpecificState

### doesUrlTemplateProcessing

    protected java.lang.Boolean doesUrlTemplateProcessing

### extensions

    protected Extension[] extensions

Constructor Detail

### PortletDescription

    public PortletDescription()

### PortletDescription

    public PortletDescription(java.lang.String portletHandle,
                              MarkupType[] markupTypes,
                              java.lang.String groupID,
                              LocalizedString description,
                              LocalizedString shortTitle,
                              LocalizedString title,
                              LocalizedString displayName,
                              LocalizedString[] keywords,
                              java.lang.String[] userCategories,
                              java.lang.String[] userProfileItems,
                              java.lang.Boolean usesMethodGet,
                              java.lang.Boolean defaultMarkupSecure,
                              java.lang.Boolean onlySecure,
                              java.lang.Boolean userContextStoredInSession,
                              java.lang.Boolean templatesStoredInSession,
                              java.lang.Boolean hasUserSpecificState,
                              java.lang.Boolean doesUrlTemplateProcessing,
                              Extension[] extensions)

Method Detail

### getPortletHandle

    public java.lang.String getPortletHandle()

### setPortletHandle

    public void setPortletHandle(java.lang.String portletHandle)

### getMarkupTypes

    public MarkupType[] getMarkupTypes()

### setMarkupTypes

    public void setMarkupTypes(MarkupType[] markupTypes)

### getGroupID

    public java.lang.String getGroupID()

### setGroupID

    public void setGroupID(java.lang.String groupID)

### getDescription

    public LocalizedString getDescription()

### setDescription

    public void setDescription(LocalizedString description)

### getShortTitle

    public LocalizedString getShortTitle()

### setShortTitle

    public void setShortTitle(LocalizedString shortTitle)

### getTitle

    public LocalizedString getTitle()

### setTitle

    public void setTitle(LocalizedString title)

### getDisplayName

    public LocalizedString getDisplayName()

### setDisplayName

    public void setDisplayName(LocalizedString displayName)

### getKeywords

    public LocalizedString[] getKeywords()

### setKeywords

    public void setKeywords(LocalizedString[] keywords)

### getUserCategories

    public java.lang.String[] getUserCategories()

### setUserCategories

    public void setUserCategories(java.lang.String[] userCategories)

### getUserProfileItems

    public java.lang.String[] getUserProfileItems()

### setUserProfileItems

    public void setUserProfileItems(java.lang.String[] userProfileItems)

### getUsesMethodGet

    public java.lang.Boolean getUsesMethodGet()

### setUsesMethodGet

    public void setUsesMethodGet(java.lang.Boolean usesMethodGet)

### getDefaultMarkupSecure

    public java.lang.Boolean getDefaultMarkupSecure()

### setDefaultMarkupSecure

    public void setDefaultMarkupSecure(java.lang.Boolean defaultMarkupSecure)

### getOnlySecure

    public java.lang.Boolean getOnlySecure()

### setOnlySecure

    public void setOnlySecure(java.lang.Boolean onlySecure)

### getUserContextStoredInSession

    public java.lang.Boolean getUserContextStoredInSession()

### setUserContextStoredInSession

    public void setUserContextStoredInSession(java.lang.Boolean userContextStoredInSession)

### getTemplatesStoredInSession

    public java.lang.Boolean getTemplatesStoredInSession()

### setTemplatesStoredInSession

    public void setTemplatesStoredInSession(java.lang.Boolean templatesStoredInSession)

### getHasUserSpecificState

    public java.lang.Boolean getHasUserSpecificState()

### setHasUserSpecificState

    public void setHasUserSpecificState(java.lang.Boolean hasUserSpecificState)

### getDoesUrlTemplateProcessing

    public java.lang.Boolean getDoesUrlTemplateProcessing()

### setDoesUrlTemplateProcessing

    public void setDoesUrlTemplateProcessing(java.lang.Boolean doesUrlTemplateProcessing)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD